## emesene 2.12.5+dfsg

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/emesene.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/emesene.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## emesene 1.6.1

=== debian/changelog ===
emesene (1.6.1-0ubuntu1) lucid; urgency=low

  * New upstream release (LP: #562646).
  * Fix missing-debian-source-format lintian warning.
  * Refresh 20_dont_build_own_libmimic.patch patch.
  * Bump Standards-Version to 3.8.4.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Wed, 14 Apr 2010 01:33:51 +0200

emesene (1.6-1) unstable; urgency=low

  * New upstream release.
    - debian/patches/20_dont_build_own_libmimic.patch:
      + Refreshed.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 06 Jan 2010 23:25:28 +0100

emesene (1.5.1-1) unstable; urgency=low

  * New upstream release.
    - debian/rules,
      debian/copyright:
      + uuid.py is not shipped upstream anymore, don't remove it it rules
        and don't mention it in copyright.
  * debian/bin/emesene,
    debian/rules,
    debian/links:
    - Don't install a wrapper script in /usr/bin, install the upstream
      script together with the python modules and symlink it to /usr/bin
      instead.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 20 Oct 2009 16:48:42 +0200

emesene (1.5-2) unstable; urgency=low

  * debian/control:
    - Don't suggest python-eggtrayicon, it's using
      gtk.StatusIcon which is in pygtk since 2.10, on which we already
      depend.
    - Don't suggest python-dcop, it was needed for the Amarok plugin,
      but Amarok 2 uses DBus, which we already recommend. Closes: #543322.
    - Don't recommend python-pysqlite2, emesene can use pysqlite3 which
      is a default Python module.
    - Recommmend python-libmimic, it's needed for webcam support.
    - Switch my email address to @debian.org.
    - Stop saying emesene doesn't support webcam in the long description,
      that's not true anymore!
  * debian/patches/20_dont_build_own_libmimic.patch:
    - Add headers.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 29 Aug 2009 02:18:07 +0200

emesene (1.5-1) unstable; urgency=low

  [ Marco Rodrigues ]
  * debian/control:
    + Add ${misc:Depends} to Depends to remove lintian warning.

  [ Emilio Pozuelo Monfort ]
  * debian/patches/currentSong_plugin_support_amarok2.patch:
    - Add plugin from http://www.emesene.org/trac/ticket/1955
      to support Amarok2. It uses DBus instead of DCOP, so when
      Amarok 2 is in testing we can remove python-dcop from Suggests.
  * Prefix patches with a number.
  * debian/patches/03_from_upstream_fix_file_transfers_wlm2009.patch:
    - New patch from upstream r1578, fix file transfers with
      WLM2009 clients.
  * Standards-Version is 3.8.3, no changes needed.
  * debian/copyright:
    - Clean up whitespaces.
    - Add "Copyright" to the packaging copyright and update the years.
  * Build-depend on python instead of python2.5, the latter was added
    when the default python version was 2.4 but we needed 2.5 to build
    the package. I should have added an alternate build-dependency on
    python (>= 2.5) though.
  * Switch to python-support.
  * Improve long description a bit.
  * Put the wrapper script in debian/bin/ and use debian/install to
    install it.
  * Switch to debhelper 7.
  * Switch to quilt.
    - debian/README.source: update for the quilt switch.
  * Suggest python-eggtrayicon for the tray icon and python-gtkspell for
    the spell plugin, rather than python-gnome2-extras, which has been
    split. Closes: #520907.
  * debian/copyright: mention that some sound files come from Pidgin.
  * debian/copyright: fix typo. Closes: #528421.
  * Use dh --with quilt, build depend on quilt 0.46-7.

  * New upstream release. Closes: #535648.
    - Don't try to connect to a gone dbus service. Closes: #541405.
    - No longer hangs on file transfers. Closes: #488774.
    - debian/patches/01_from_upstream_fix_logger_exceptions.patch
      debian/patches/02_from_upstream_fix_banshee_1.0_support.patch
      debian/patches/03_from_upstream_fix_file_transfers_wlm2009.patch
      debian/patches/04_currentSong_plugin_support_amarok2.patch:
      + Removed, fixed upstream.
  * debian/copyright: Updated for the new version.
  * debian/rules: Don't install uuid.py, it's in the default python
    installation since 2.5.

 -- Emilio Pozuelo Monfort <pochu@ubuntu.com>  Fri, 21 Aug 2009 23:50:24 +0200

emesene (1.0.1-2) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

  [ Emilio Pozuelo Monfort ]
  * debian/patches/from_upstream_fix_logger_exceptions.patch:
    - Fix Logger plugin exceptions. Patch backported from upstream r1506.
      Closes: #503939.

 -- Emilio Pozuelo Monfort <pochu@ubuntu.com>  Mon, 17 Nov 2008 23:33:34 +0100

emesene (1.0.1-1) unstable; urgency=low

  * debian/patches/from_upstream_fix_invalid_application_header.patch,
    debian/patches/from_upstream_fix_gtk_image_loading.patch,
    debian/patches/from_upstream_embed_logo_in_htm.patch:
    - Removed, fixed in the new version.
  * debian/control,
    debian/rules:
    - Remove distutils' hack to build the package with python2.5 to
      support python2.4, since python2.5 is now the default version.
  * debian/rules:
    - No need to make Controller.py executable anymore, as we are now
      launching it from emesene-launcher.

 -- Emilio Pozuelo Monfort <pochu@ubuntu.com>  Wed, 17 Sep 2008 23:23:45 +0200

emesene (1.0-dist-4) unstable; urgency=medium

  * debian/patches/from_upstream_fix_invalid_application_header.patch:
    - Update Application ID to MSN 8.5, patch taken from upstream r1422.
      LP: #249530
  * debian/patches/from_upstream_embed_logo_in_htm.patch:
    - Don't load emesene's logo from emesene.org, but embed it in the
      html file instead. Patch taken from upstream r1424. LP: #236952
  * debian/copyright:
    - Limit width to 80 chars.

 -- Emilio Pozuelo Monfort <pochu@ubuntu.com>  Fri, 18 Jul 2008 01:59:49 +0200

emesene (1.0-dist-3) unstable; urgency=low

  * debian/control:
    - Move python-gnome2-extras from Recommends to Suggests, as it's only


=== debian/control ===
Source: emesene
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Emilio Pozuelo Monfort <pochu@debian.org>
Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.0.50~),
               quilt (>= 0.46-7),
               python
Build-Depends-Indep: python-support
Standards-Version: 3.8.4
Homepage: http://www.emesene.org/
Vcs-Svn: svn://svn.debian.org/python-apps/packages/emesene/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/emesene/trunk/

Package: emesene
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         python-gtk2 (>= 2.10),
         python-cairo,
         python-gobject
Recommends: python-dbus,
            python-notify,
            python-libmimic,
            python-sexy
Suggests: python-gtkspell
Description: platform independent MSN Messenger client
 emesene is a nice and simple MSN Messenger client. It tries to be similar
 to the official client, but with a simpler interface and a nicer look.
 .
 emesene allows you to chat with your contacts in the MSN network.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --with quilt $@

override_dh_auto_install:
	dh_auto_install -- --install-lib=usr/share/emesene \
		--install-scripts=usr/share/emesene

=== debian/watch ===
version=3
http://sf.net/emesene/emesene-(1\.[0-9].*)\.tar\.gz

## emesene 1.6.3

=== debian/changelog ===
emesene (1.6.3-1.1) stable; urgency=low

  * Non-maintainer upload.
  * Update contact end-point to local-bay.contacts.msn.com (Closes: #648399)

 -- Jonathan Wiltshire <jmw@debian.org>  Sat, 12 May 2012 23:11:16 +0100

emesene (1.6.3-1) unstable; urgency=low

  * debian/control: add myself to Uploaders field.
  * New upstream release.
  * Add 21_svn2451_fix_avatar patch to fix avatars storage.
  * Bump Standards-Version to 3.9.0.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Sun, 18 Jul 2010 04:13:52 +0200

emesene (1.6.2-1) unstable; urgency=low

  * Brown paper bag release. Update to 1.6.2 as intended in the
    previous upload.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 29 May 2010 04:29:58 +0200

emesene (1.6.1-2) unstable; urgency=low

  * debian/control:
    - Recommend python-gst0.10, needed for webcam support. Closes: #565116.
    - Stop recommending python-sexy, it's been removed from the archive and
      emesene doesn't use it anymore.
    - Standards-Version is 3.8.4, no changes needed.
  * debian/control,
    debian/rules,
    debian/source/format:
    - Switch to source format 3.0 (quilt).
  * New upstream release. Closes: #578936.
    - debian/patches/20_dont_build_own_libmimic.patch:
      + Updated.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 28 May 2010 16:48:03 +0200

=== debian/control ===
Source: emesene
Section: net
Priority: optional
Maintainer: Emilio Pozuelo Monfort <pochu@debian.org>
Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>,
 Devid Antonio Filoni <d.filoni@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~),
               python
Build-Depends-Indep: python-support
Standards-Version: 3.9.0
Homepage: http://www.emesene.org/
Vcs-Svn: svn://svn.debian.org/python-apps/packages/emesene/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/emesene/trunk/

Package: emesene
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         python-gtk2 (>= 2.10),
         python-cairo,
         python-gobject
Recommends: python-dbus,
            python-gst0.10,
            python-notify,
            python-libmimic
Suggests: python-gtkspell
Description: platform independent MSN Messenger client
 emesene is a nice and simple MSN Messenger client. It tries to be similar
 to the official client, but with a simpler interface and a nicer look.
 .
 emesene allows you to chat with your contacts in the MSN network.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- --install-lib=usr/share/emesene \
		--install-scripts=usr/share/emesene

## emesene 2.0~git20110319+dfsg

=== debian/changelog ===
emesene (2.0~git20110319+dfsg-1) unstable; urgency=low

  * Set myself as maintainer.
  * New upstream git revision, tarball generated removing non-free dlls dir.
  * Remove debian/watch, debian/emesene.xpm, debian/install files.
  * Update debian/README.source file.
  * Remove 21_svn2451_fix_avatar and 20_dont_build_own_libmimic patches.
  * debian/control: modify python to python (>= 2.5) in Build-Depends field.
  * debian/control: remove python-libmimic from Recommends field.
  * debian/control: modify python-gtk2 (>= 2.10) to python-gtk2 (>= 2.12) in
    Depends field.
  * debian/control: add python-appindicator and python-xmpp to Recommends
    field.
  * debian/control: add python-papyon (>= 0.5.4) and python-webkit to Depends
    field.
  * debian/control: update Description field.
  * debian/control: add python-setuptools to Build-Depends field.
  * debian/control: move python-dbus and python-notify to Depends field.
  * Update debian/copyright file.
  * Update debian/links file.
  * debian/menu: update description field.
  * Bump Standards-Version to 3.9.1.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Sat, 19 Mar 2011 13:47:22 +0100

=== debian/control ===
Source: emesene
Section: net
Priority: optional
Maintainer: Devid Antonio Filoni <d.filoni@ubuntu.com>
Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.0.50~),
               python (>= 2.5),
               python-setuptools
Build-Depends-Indep: python-support
Standards-Version: 3.9.1
Homepage: http://www.emesene.org/
Vcs-Svn: svn://svn.debian.org/python-apps/packages/emesene/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/emesene/trunk/

Package: emesene
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         python-gtk2 (>= 2.12),
         python-papyon (>= 0.5.4),
         python-cairo,
         python-notify,
         python-dbus,
         python-webkit,
         python-gobject
Recommends: python-gst0.10,
            python-appindicator,
            python-xmpp
Suggests: python-gtkspell
Description: instant messaging client
 emesene tries to be a simple but feature complete program that allows to chat
 using MSN and Jabber based networks.
 .
 From it's roots emesene 2 provides a UI that is easy to use by users coming
 from Windows Live Messanger but doing special focus on consistency and
 simplicity.

## emesene 2.11.4+dfsg

=== debian/changelog ===
emesene (2.11.4+dfsg-1) unstable; urgency=low

  [ Devid Antonio Filoni ]
  * New upstream release.
  * debian/rules: use python2 sequence.
  * debian/control: modify python (>= 2.5) to python (>= 2.6.6-3~) in
    Build-Depends field.
  * debian/control: remove Build-Depends-Indep field.
  * debian/control: remove python-appindicator from Recommends field.
  * Update debian/copyright file.
  * Bump Standards-Version to 3.9.2.

  [ Piotr Ożarowski ]
  * Add debian/watch file and get-orig-source target

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Mon, 09 May 2011 23:27:56 +0200

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,9 @@
 Maintainer: Devid Antonio Filoni <d.filoni@ubuntu.com>
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
-               python (>= 2.5),
+               python (>= 2.6.6-3~),
                python-setuptools
-Build-Depends-Indep: python-support
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.emesene.org/
 Vcs-Svn: svn://svn.debian.org/python-apps/packages/emesene/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/emesene/trunk/
@@ -24,7 +23,6 @@
          python-webkit,
          python-gobject
 Recommends: python-gst0.10,
-            python-appindicator,
             python-xmpp
 Suggests: python-gtkspell
 Description: instant messaging client

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --with python2 $@

override_dh_auto_install:
	dh_auto_install -- --install-lib=usr/share/emesene \
		--install-scripts=usr/share/emesene

get-orig-source:
	DVER=$(shell dpkg-parsechangelog | sed -rn 's,^Version: ([^-]*).*,\1,p');\
	VER=$(shell dpkg-parsechangelog | sed -rn 's,^Version: ([^+]*).*,\1,p');\
	git clone -q https://github.com/emesene/emesene.git orig-source &&\
	cd orig-source && git checkout -q v$$VER &&\
	git rm -qrf dlls && git commit -qm 'drop dlls' &&\
	git archive --format tar --prefix emesene-$$VER/ HEAD | bzip2 -9 > ../emesene_$$DVER.orig.tar.bz2
	rm -rf orig-source

## emesene 2.11.7+dfsg

=== debian/changelog ===
emesene (2.11.7+dfsg-1ubuntu1.1) oneiric-proposed; urgency=low

  * Add 02-Use-DBus-for-the-UnityLauncher.diff patch from sbte to fix
    Unity Launcher support (LP: #881674).

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Mon, 31 Oct 2011 21:48:43 +0100

emesene (2.11.7+dfsg-1ubuntu1) oneiric; urgency=low

  * debian/control: add indicator-status-provider-emesene to Recommends field.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Sun, 04 Sep 2011 19:31:03 +0200

emesene (2.11.7+dfsg-1) unstable; urgency=low

  * Team upload.

  [ Fabrizio Regalli ]
  * New upstream release (Closes: #633614)
  * Added 01-fix-spelling-error.diff patch
  * Fix spelling-error-in-description lintian message
  * Removed libclearlooks.dll file also in d/rules
  * Added imagemagick as B-D to resize icon via d/rules
  * Fixed typo in description (Closes: #633483)
  * Added override for dh_install, dh_installdir and dh_clean rules

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 22 Aug 2011 20:48:17 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
                python (>= 2.6.6-3~),
-               python-setuptools
+               python-setuptools,
+	       imagemagick	
 Standards-Version: 3.9.2
 Homepage: http://www.emesene.org/
 Vcs-Svn: svn://svn.debian.org/python-apps/packages/emesene/trunk/
@@ -23,12 +24,13 @@
          python-webkit,
          python-gobject
 Recommends: python-gst0.10,
+            indicator-status-provider-emesene,
             python-xmpp
 Suggests: python-gtkspell
 Description: instant messaging client
- emesene tries to be a simple but feature complete program that allows to chat
- using MSN and Jabber based networks.
+ emesene tries to be a simple but feature complete program that allows one to
+ chat using MSN and Jabber based networks.
  .
  From it's roots emesene 2 provides a UI that is easy to use by users coming
- from Windows Live Messanger but doing special focus on consistency and
+ from Windows Live Messenger but doing special focus on consistency and
  simplicity.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --with python2 $@

override_dh_auto_install:
	dh_auto_install -- --install-lib=usr/share/emesene \
		--install-scripts=usr/share/emesene
	convert emesene/data/pixmaps/emesene.png -resize 32x32 debian/emesene/usr/share/pixmaps/emesene.xpm

override_dh_clean:
	dh_clean
	rm -rf emesene.egg-info

get-orig-source:
	DVER=$(shell dpkg-parsechangelog | sed -rn 's,^Version: ([^-]*).*,\1,p');\
	VER=$(shell dpkg-parsechangelog | sed -rn 's,^Version: ([^+]*).*,\1,p');\
	git clone -q https://github.com/emesene/emesene.git orig-source &&\
	cd orig-source && git checkout -q v$$VER &&\
	git rm -qrf dlls windows/Clearlooks/lib/gtk-2.0/2.10.0/engines/libclearlooks.dll && git commit -qm 'drop dlls' &&\
	git archive --format tar --prefix emesene-$$VER/ HEAD | bzip2 -9 > ../emesene_$$DVER.orig.tar.bz2
	rm -rf orig-source

## emesene 2.11.9+dfsg

=== debian/changelog ===
emesene (2.11.9+dfsg-1) unstable; urgency=low

  * New upstream release.
  * debian/control: remove python-papyon from Depends field. papyon is now
    in emesene source because papyon development is slow and emesene guys
    want to provide users papyon fixes they write.
  * debian/control: add python-openssl (>= 0.6), python-crypto, python-gst0.10
    and python-farsight to Depends field, they are used by papyon.
  * Update debian/copyright and debian/README.source files.
  * Remove 01-fix-spelling-error patch, merged upstream.
  * debian/control: add Fabrizio Regalli to Uploaders field.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Wed, 05 Oct 2011 11:46:44 +0200

=== debian/control ===
Source: emesene
Section: net
Priority: optional
Maintainer: Devid Antonio Filoni <d.filoni@ubuntu.com>
Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>,
           Fabrizio Regalli <fabreg@fabreg.it>
Build-Depends: debhelper (>= 7.0.50~),
               python (>= 2.6.6-3~),
               python-setuptools,
               imagemagick
Standards-Version: 3.9.2
Homepage: http://www.emesene.org/
Vcs-Svn: svn://svn.debian.org/python-apps/packages/emesene/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/emesene/trunk/

Package: emesene
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         python-gtk2 (>= 2.12),
         python-cairo,
         python-notify,
         python-dbus,
         python-webkit,
         python-gobject,
         python-openssl (>= 0.6),
         python-crypto,
         python-gst0.10,
         python-farsight
Recommends: python-xmpp
Suggests: python-gtkspell
Description: instant messaging client
 emesene tries to be a simple but feature complete program that allows one to
 chat using MSN and Jabber based networks.
 .
 From it's roots emesene 2 provides a UI that is easy to use by users coming
 from Windows Live Messenger but doing special focus on consistency and
 simplicity.

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,10 @@
 	dh_auto_install -- --install-lib=usr/share/emesene \
 		--install-scripts=usr/share/emesene
 	convert emesene/data/pixmaps/emesene.png -resize 32x32 debian/emesene/usr/share/pixmaps/emesene.xpm
+
+	# fix extra-license-file lintian warnings
+	rm -f $(CURDIR)/debian/emesene/usr/share/emesene/emesene/e3/papylib/papyon/COPYING
+	rm -f $(CURDIR)/debian/emesene/usr/share/emesene/emesene/e3/papylib/papyon/papyon/util/iso8601/LICENSE
 
 override_dh_clean:
 	dh_clean

## emesene 2.11.11+dfsg

=== debian/changelog ===
emesene (2.11.11+dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #648664)
  * Removed no more necessary 01-Use-local-bay.contacts.msn.com.diff
    patch: it's now included in source code.
  * Update d/copyright for missing files

 -- Fabrizio Regalli <fabreg@fabreg.it>  Tue, 15 Nov 2011 22:57:13 +0100

emesene (2.11.9+dfsg-2) unstable; urgency=low

  * Added 01-Use-local-bay.contacts.msn.com.diff patch 
    It changes 'contacts.msn.com server' in 'local-bay.contacts.msn.com'
    (Closes: #648027)

 -- Fabrizio Regalli <fabreg@fabreg.it>  Tue, 08 Nov 2011 14:57:39 +0100

## emesene 2.12.1+dfsg

=== debian/changelog ===
emesene (2.12.1+dfsg-1) unstable; urgency=low

  * New upstream version.
  * Removed extra license file Renkoo\ LICENSE.txt.
  * Updated d/copyright with information contained  in Renkoo\ LICENSE.txt
    There are now two more licenses: BSD and AFL

 -- Fabrizio Regalli <fabreg@fabreg.it>  Fri, 06 Jan 2012 11:28:47 +0100

## emesene 2.12.3+dfsg

=== debian/changelog ===
emesene (2.12.3+dfsg-1ubuntu1.1) precise-proposed; urgency=low

  * debian/control: Add python-indicate to Recomends field (LP: #984504).

 -- Aditya Vaidya <kroq.gar78@gmail.com>  Fri, 11 May 2012 09:33:37 -0700

emesene (2.12.3+dfsg-1ubuntu1) precise; urgency=low

  * Merge from Debian unstable (LP: #973926).
  * debian/control: add indicator-status-provider-emesene to Recommends field.
  * debian/control: change python-farsight to python-farstream in Depends field.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Sat, 07 Apr 2012 14:59:51 +0200

emesene (2.12.3+dfsg-1) unstable; urgency=low

  * New upstream version. (Closes: #666488)
  * Bump Standards-Version to 3.9.3

 -- Fabrizio Regalli <fabreg@fabreg.it>  Mon, 02 Apr 2012 14:35:55 +0200

emesene (2.12.1+dfsg-1ubuntu2) precise; urgency=low

  * debian/control:
    - Change python-farsight to python-farstream depend.
  * debian/patches/port_to_farstream.patch:
    - Rename farsight to farstream (LP: #956422)
  * debian/patches/02_fix_common_errback.patch:
    - Cherry pick 3b289b25a77c6531a7de7863f049bc30ca7d4c78 from upstream
    git to fix incorrect number of arguments causing an exception.

 -- Jason Conti <jason.conti@gmail.com>  Mon, 19 Mar 2012 07:57:13 +0100

emesene (2.12.1+dfsg-1ubuntu1) precise; urgency=low

  * Merge from Debian testing (main).
  * debian/control: add indicator-status-provider-emesene to Recommends field.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Sun, 22 Jan 2012 22:22:23 +0100

emesene (2.11.9+dfsg-1ubuntu1) precise; urgency=low

  * Merge from Debian testing (main).
  * debian/control: add indicator-status-provider-emesene to Recommends field.
  * Add 01-Make-the-UnityLauncher-an-actual-extension.diff and
    02-Use-DBus-for-the-UnityLauncher.diff patches from sbte to fix
    Unity Launcher support (LP: #881674).

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Sat, 29 Oct 2011 15:22:42 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                python (>= 2.6.6-3~),
                python-setuptools,
                imagemagick
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.emesene.org/
 Vcs-Svn: svn://svn.debian.org/python-apps/packages/emesene/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/emesene/trunk/
@@ -26,8 +26,8 @@
          python-openssl (>= 0.6),
          python-crypto,
          python-gst0.10,
-         python-farsight
-Recommends: python-xmpp
+         python-farstream
+Recommends: python-xmpp, indicator-status-provider-emesene, python-indicate
 Suggests: python-gtkspell
 Description: instant messaging client
  emesene tries to be a simple but feature complete program that allows one to

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,7 @@
 	# fix extra-license-file lintian warnings
 	rm -f $(CURDIR)/debian/emesene/usr/share/emesene/emesene/e3/papylib/papyon/COPYING
 	rm -f $(CURDIR)/debian/emesene/usr/share/emesene/emesene/e3/papylib/papyon/papyon/util/iso8601/LICENSE
+	rm -f $(CURDIR)/debian/emesene/usr/share/emesene/emesene/themes/conversations/renkoo.AdiumMessageStyle/Contents/Resources/Renkoo\ LICENSE.txt
 
 override_dh_clean:
 	dh_clean

## emesene 2.12.5+dfsg

=== debian/changelog ===
emesene (2.12.5+dfsg-1ubuntu2) quantal; urgency=low

  * Removes indicator-status-provider-emesene recommends as not more supported
    upstreams (indicators not building gtk2 variant anymore)

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 12 Sep 2012 12:11:12 +0200

emesene (2.12.5+dfsg-1ubuntu1) quantal; urgency=low

  * Merge from Debian unstable. Remaining changes:
   - debian/control: Add python-indicate and
     indicator-status-provider-emesene to Reccomends.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Mon, 25 Jun 2012 14:59:46 -0400

emesene (2.12.5+dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #676839, #665463, #666187).
  * debian/control: remove python-xmpp from Recommends field.
  * debian/control: add python-gupnp-igd to Recommends field.
  * debian/control: remove python-farstream from Depends field.
  * debian/control: add python-dnspython to Depends field.
  * debian/rules: update get-orig-source to remove
    emesene/e3/xmpp/SleekXMPP/docs/_static/fonts directory too.
  * debian/{README.source, copyright}: update files.
  * Add debian/patches/01_fix-desktop-file.diff patch to fix
    desktop-entry-limited-to-environments lintian info.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Sat, 09 Jun 2012 23:22:37 +0200

emesene (2.12.3+dfsg-2) unstable; urgency=low

  * Removed python-farsight from B-D in favor of
    python-farstream (Closes: #668399) 

 -- Fabrizio Regalli <fabreg@fabreg.it>  Thu, 24 May 2012 09:27:31 +0200

emesene (2.12.3+dfsg-1ubuntu2) quantal; urgency=low

  * debian/control: Add python-indicate to Reccomends field (LP: #984504).

 -- Aditya Vaidya <kroq.gar78@gmail.com>  Fri, 11 May 2012 09:33:37 -0700

=== debian/control ===
--- 
+++ 
@@ -26,8 +26,9 @@
          python-openssl (>= 0.6),
          python-crypto,
          python-gst0.10,
-         python-farstream
-Recommends: python-xmpp, indicator-status-provider-emesene, python-indicate
+         python-dnspython
+Recommends: python-gupnp-igd,
+            python-indicate
 Suggests: python-gtkspell
 Description: instant messaging client
  emesene tries to be a simple but feature complete program that allows one to

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,13 @@
 	rm -f $(CURDIR)/debian/emesene/usr/share/emesene/emesene/e3/papylib/papyon/papyon/util/iso8601/LICENSE
 	rm -f $(CURDIR)/debian/emesene/usr/share/emesene/emesene/themes/conversations/renkoo.AdiumMessageStyle/Contents/Resources/Renkoo\ LICENSE.txt
 
+	rm -f $(CURDIR)/debian/emesene/usr/share/emesene/emesene/e3/xmpp/SleekXMPP/LICENSE
+	rm -f $(CURDIR)/debian/emesene/usr/share/emesene/emesene/e3/xmpp/SleekXMPP/docs/license.rst
+	rm -f $(CURDIR)/debian/emesene/usr/share/emesene/emesene/e3/xmpp/SleekXMPP/sleekxmpp/thirdparty/suelta/LICENSE
+
+	# fix executable-not-elf-or-script lintian warning
+	chmod 644 $(CURDIR)/debian/emesene/usr/share/emesene/emesene/e3/xmpp/SleekXMPP/conn_tests/testpubsub.py
+
 override_dh_clean:
 	dh_clean
 	rm -rf emesene.egg-info
@@ -22,6 +29,7 @@
 	VER=$(shell dpkg-parsechangelog | sed -rn 's,^Version: ([^+]*).*,\1,p');\
 	git clone -q https://github.com/emesene/emesene.git orig-source &&\
 	cd orig-source && git checkout -q v$$VER &&\
-	git rm -qrf dlls windows/Clearlooks/lib/gtk-2.0/2.10.0/engines/libclearlooks.dll && git commit -qm 'drop dlls' &&\
+	git rm -qrf dlls windows/Clearlooks/lib/gtk-2.0/2.10.0/engines/libclearlooks.dll emesene/e3/xmpp/SleekXMPP/docs/_static/fonts &&\
+	git commit -qm 'drop dlls' &&\
 	git archive --format tar --prefix emesene-$$VER/ HEAD | bzip2 -9 > ../emesene_$$DVER.orig.tar.bz2
 	rm -rf orig-source

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
http://githubredir.debian.net/github/emesene/emesene /v(.*).tar.gz
